package com.bolour.sample.eclipse.demo;

import org.eclipse.core.runtime.IConfigurationElement;
import org.eclipse.core.runtime.IExtension;

/**
 * Callback interface for processing each extension-point member
 * in generic extension processing.
 * 
 * @author Azad 
 */
public interface IProcessMember {
		/**
		 * Process a particular member (top-level element) of an extension.
		 * @param extension The extension being processed.
		 * @param member The configuration element of the member of the extension to be processed.
		 * @return
		 */
		public Object process(IExtension extension, IConfigurationElement member);
}
